Filewatcher File Search File Search
Catalog
Content Search
» » » » » gir1.2-gweather-3.0_3.4.1-1+build1_powerpc.deb » Content »
pkg://gir1.2-gweather-3.0_3.4.1-1+build1_powerpc.deb:16648/usr/share/doc/gir1.2-gweather-3.0/  info  control  downloads

gir1.2-gweather-3.0 - GObject introspection data for the GWeather library…  more info»

changelog.Debian.gz

libgweather (3.4.1-1+build1) unstable; urgency=low

  * No source changes; rebuild with xz compression.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Aug 2012 23:35:10 +0200

libgweather (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Change section of gir1.2-gweather-3.0 to introspection.
  * debian/patches/99_ltmain_as-needed.patch: Refreshed.
  * Drop explicit Build-Depends on gir1.2-gtk-3.0.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 18:26:55 +0100

libgweather (3.2.1-1) unstable; urgency=low

  * Rename the source package back to libgweather since we no longer need
    co-installability with the 2.x packages.
  * debian/watch:
    - Track .xz tarballs.
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Nov 2011 17:15:34 +0100

libgweather3 (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Build static libraries.
    - Build gtk-doc documentation.
  * debian/control:
    - Add Build-Depends on gtk-doc-tools.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Sep 2011 06:27:25 +0200

libgweather3 (3.0.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix long description for GIR package.
  * Make the -dev package depend on the gir package.
  * Rename the source package to allow parallel migration to testing.

  [ Michael Biebl ]
  * debian/watch: Switch to .bz2 tarballs.
  * New upstream release.
  * debian/control.in
    - Update Vcs-* fields for the new source package name, switch branch to
      unstable.
    - Remove Replaces: gnome-applets-dev (<< 2.21.3). This was required for
      upgrades to lenny and is now obsolete.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip leading debian/tmp/ from .install files.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Add symbols file for libgweather-3-0 for improved shlibs dependencies.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Jun 2011 22:46:51 +0200

libgweather (2.91.6-1) experimental; urgency=low

  [ Frederic Peters ]
  * New upstream development release.
  * debian/control.in:
    * Update package names and build dependencies for GTK+ 3
    * Add a package for GObject introspection data

  [ Josselin Mouette ]
  * Fix shlibs file.

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Mar 2011 22:37:00 +0100

libgweather (2.30.3-1) unstable; urgency=low

  * New upstream stable release (translation updates only).

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 02:47:28 +0100

libgweather (2.30.2-1) unstable; urgency=low

  * New upstream stable release.
  * debian/patches/99_ltmain_as-needed.patch
    - Refresh for new upstream release.
  * debian/control
    - Add Vcs-Browser and Vcs-Svn fields.
    - Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 19:30:48 +0200

libgweather (2.30.0-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    - Switch to CDBS' python-autotools.mk.
  * debian/source/format,
    debian/patches/series,
    debian/rules:
    - Switch to quilt and source format 3.0 (quilt).
  * debian/patches/99_ltmain_as-needed.patch:
    - Refreshed.
  * debian/libgweather-common.install:
    - Install the icons here. Closes: #580244.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
    - Tighten the -dev package dependency on the shared library package.

 -- Josselin Mouette <joss@debian.org>  Fri, 07 May 2010 21:59:58 +0200

libgweather (2.30.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Update SHVER to 2.30.0 because of API additions.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Apr 2010 12:12:34 +0200

libgweather (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Bump SHVER to 2.28.0 since there are API additions.
  * debian/patches/01_python_include_dir.patch,
    debian/patches/02_python__init__executable.patch:
    - Removed, applied upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Sep 2009 16:37:05 +0200

libgweather (2.26.2.1-2) unstable; urgency=low

  * debian/patches/02_python__init__executable.patch:
    - Don't install __init__.py with executable permissions.
  * debian/copyright:
    - Updated, some files are licensed under the LGPL.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 29 Aug 2009 01:33:17 +0200

libgweather (2.26.2.1-1) unstable; urgency=low

  * Build the python bindings in python-gweather. Closes: #539091.
    - libgweather/debian/patches/01_python_include_dir.patch:
      Fix the build of the bindings out of tree.
  * debian/copyright: add "Copyright" to the debian packaging copyright
    notice.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/watch: don't uupdate.
  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 28 Aug 2009 23:32:22 +0200

libgweather (2.26.1-1) unstable; urgency=low

  * New upstream release.
    + Does not use combo characters for degrees. Closes: #486523.
  * Update build-dependencies.
  * Bump shlibs version to 2.25.4.
  * Build-depend on libglib2.0-doc and libgtk2.0-doc to ensure proper 
    xrefs.
  * Standards version is 3.8.1.
  * 01_compress_locations.patch and libgweather-common.compress: 
    removed, fixed upstream. Enable compression in configure flags 
    instead.
  * Install documentation in libgweather-dev.
  * Update list of copyright holders.

 -- Josselin Mouette <joss@debian.org>  Sat, 25 Apr 2009 18:45:18 +0200

libgweather (2.24.3-1) unstable; urgency=low

  * New upstream release, only fixes LICENSE file.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Mar 2009 17:09:20 +0100

libgweather (2.24.2-2) experimental; urgency=low

  * debian/control.in: Bump the libgweather-common depend up to (>= 2.24.0)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 19 Jan 2009 14:19:59 +1100

libgweather (2.24.2-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sun, 04 Jan 2009 13:18:41 +0100

libgweather (2.24.1-1) experimental; urgency=low

  * New upstream release.
  * Bump build-dependencies.
  * Set shlibs version to 2.23.92.
  * 01_compress_locations.patch: updated to apply again.
  * 99_ltmain_as-needed.patch: update for new version.
  * Prepare everything needed to build python-gweather, but disable it 
    for the moment since the API is unstable.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 20:25:35 +0100

libgweather (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jun 2008 12:48:40 +0200

libgweather (2.22.2-2) unstable; urgency=low

  * Make priority optional.
  * 01_compress_locations.patch: look for .xml.gz files instead of .xml.
  * libgweather-common.compress: compress the files with dh_compress.
  * Enforce upgrading them together with Depends/Conflicts.

 -- Josselin Mouette <joss@debian.org>  Mon, 23 Jun 2008 18:51:31 +0200

libgweather (2.22.2-1) unstable; urgency=low

  [ Sven Arvidsson ]
  * debian/control.in:
    + Update short description for -common and -dev packages
    (Closes: #475495)

  [ Josselin Mouette ]
  * Upload to unstable.
  * New upstream bugfix and translation release.

 -- Josselin Mouette <joss@debian.org>  Wed, 28 May 2008 02:43:35 +0200

libgweather (2.22.1.2-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/patches/03_fix-locations.patch:
      - Dropped, merged upstream.
    + debian/control.in:
      - Build depend on libxml2-utils for xmllint.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Apr 2008 09:30:03 +0200

libgweather (2.22.1.1-1) experimental; urgency=low

  * debian/control.in:
    + Build depend on libxml-parser-perl (Closes: #471296).
  * New upstream bugfix release with API changes:
    + debian/control.in,
      libgweather1.install:
      - Update soname.
      - Build depend on libxml2-dev.
    + debian/patches/01_location-dist-fixes.patch,
      debian/patches/02_location-dist-files.patch:
      - Dropped, merged upstream.
    + debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 20:19:12 +0200

libgweather (2.22.0-1) experimental; urgency=low

  * New package, based on the Ubuntu packaging.
  * debian/control.in:
    + Wrap dependencies, update build dependencies.
    + Correct dependencies of the -dev package.
  * debian/watch:
    + Added watch file.
  * debian/patches/01_location-dist-fixes.patch,
    debian/patches/02_location-dist-files.patch,
    debian/patches/03_fix-locations.patch,
    debian/patches/98_autoreconf.patch:
    + Ported patches from gnome-applets for disting and correcting the weather
      locations.
  * debian/patches/99_ltmain_as-needed.patch,
    debian/rules:
    + Add -Wl,-z,defs -Wl,-O1 -Wl,--as-needed to LDFLAGS.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 12 Mar 2008 14:39:26 +0100

libgweather (2.22.0-0ubuntu1) hardy; urgency=low

  * New upstream version

 -- Christophe Sauthier <christophe.sauthier@gmail.com>  Tue, 11 Mar 2008 16:02:03 +0100

libgweather (2.21.92-0ubuntu1) hardy; urgency=low

  * New upstream version

 -- Christophe Sauthier <christophe.sauthier@gmail.com>  Tue, 26 Feb 2008 20:54:29 +0100

libgweather (2.21.2-0ubuntu1) hardy; urgency=low

  * New upstream version
  * debian/control:
    - updated the description

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 14 Jan 2008 23:12:48 +0100

libgweather (2.21.1-0ubuntu1) hardy; urgency=low

  * Upload to ubuntu

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 14 Jan 2008 10:45:38 +0100

libgweather (2.22.0-2.1) unstable; urgency=low

  * debian/control.in:
    + Build depend on libxml-parser-perl (Closes: #471296).
  * 

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 20:19:12 +0200
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com